MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006768Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2004-09-22 17:152016-12-09 16:38
Reportermsv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0006768: Problems making offset wires
DescriptionThe shape attached is a compound of 4 wires. The draw command mkoffset produces
a result only for the first of them. It raises exceptions for 2nd and 3rd
wires, and hangs making offset of the 4th one.

The following is the testing script:

restore wires.brep co
explode co
foreach s {co_1 co_2 co_3 co_4} {
  puts "\n*** make offset of wire $s\n"
  mkoffset r $s 1 1
}
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberbugs modalg_6 bug6768
Attached Filesgz file icon wires.brep.gz (212,876 bytes) 2004-09-22 15:15
tgz file icon OCC6768-skv-v1.tgz (38,325 bytes) 2004-10-26 10:23

- Relationships
related to 0000745acknowledged Wire offset algo works not properly. 

-  Notes
(0057855)
git (administrator)
2016-09-16 14:49

Branch CR6768 has been created by inv.

SHA-1: 740ecd01d1726d91d2e6bb759c7a754f99966889


Detailed log of new commits:

Author: bugmaster
Date: Fri Sep 16 14:49:16 2016 +0300

    0006768: Problems making offset wires
    
    Adding testing case
(0057856)
bugmaster (administrator)
2016-09-16 14:50
edited on: 2016-09-16 14:51

Problem is not reproduced on master from 2016-09-08

(0057857)
bugmaster (administrator)
2016-09-16 14:52

Test case was added.
Result of executing is OK.
(0059532)
git (administrator)
2016-10-28 21:45

Branch CR6768 has been deleted by kgv.

SHA-1: 740ecd01d1726d91d2e6bb759c7a754f99966889

- Related Changesets
occt: master b1c54665
Timestamp: 2016-09-16 11:49:16
Author: bugmaster
Details ] Diff ]
0006768: Problems making offset wires

Adding testing case
add - tests/bugs/modalg_6/bug6768 Diff ] File ]

- Issue History
Date Modified Username Field Change
2004-09-23 08:55 bugmaster Assigned To bugmaster => mkk
2004-09-23 08:55 bugmaster Status new => assigned
2004-09-29 09:48 mkk Assigned To mkk => skv
2004-10-26 12:27 skv Status assigned => resolved
2004-10-26 12:33 bugmaster groupset 158276927864438656 => 158259327087935360
2004-10-26 15:17 mkv CC => mkv, aki
2004-11-02 14:56 aki Status resolved => assigned
2005-07-08 14:28 bugmaster OtherBugsDependingOnThis => 745
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2016-09-16 14:49 git Note Added: 0057855
2016-09-16 14:50 bugmaster Note Added: 0057856
2016-09-16 14:50 bugmaster Assigned To skv => msv
2016-09-16 14:50 bugmaster Status assigned => resolved
2016-09-16 14:50 bugmaster Steps to Reproduce Updated View Revisions
2016-09-16 14:51 bugmaster Assigned To msv => bugmaster
2016-09-16 14:51 bugmaster Status resolved => reviewed
2016-09-16 14:51 bugmaster Note Edited: 0057856 View Revisions
2016-09-16 14:52 bugmaster Note Added: 0057857
2016-09-16 14:52 bugmaster Status reviewed => tested
2016-09-16 14:53 bugmaster Test case number => bugs modalg_6 bug6768
2016-09-16 14:53 bugmaster Fixed in Version EMPTY =>
2016-09-16 14:53 bugmaster Description Updated View Revisions
2016-09-21 11:25 bugmaster Target Version => 7.1.0
2016-09-23 10:21 bugmaster Changeset attached => occt master b1c54665
2016-09-23 10:21 bugmaster Status tested => verified
2016-09-23 10:21 bugmaster Resolution open => fixed
2016-10-28 21:45 git Note Added: 0059532
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker